=== debian/changelog ===
python3.10 (3.10.12-1~22.04.11) jammy-security; urgency=medium

  * SECURITY UPDATE: Regular expression denial of service.
    - debian/patches/CVE-2025-6069.patch: Improve regex parsing in
      Lib/html/parser.py.
    - CVE-2025-6069
  * SECURITY UPDATE: Infinite loop when parsing tar archives.
    - debian/patches/CVE-2025-8194.patch: Raise exception when count < 0 in
      Lib/tarfile.py.
    - CVE-2025-8194

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Fri, 15 Aug 2025 12:02:43 -0230

python3.10 (3.10.12-1~22.04.10) jammy-security; urgency=medium

  * SECURITY UPDATE: incorrect address list folding
    - debian/patches/CVE-2025-1795-1.patch: don't encode list separators in
      Lib/email/_header_value_parser.py,
      Lib/test/test_email/test__header_value_parser.py.
    - debian/patches/CVE-2025-1795-2.patch: fix AttributeError in the email
      module in Lib/email/_header_value_parser.py,
      Lib/test/test_email/test__header_value_parser.py.
    - CVE-2025-1795
  * SECURITY UPDATE: DoS via bytes.decode with unicode_escape
    - debian/patches/CVE-2025-4516.patch: fix use-after-free in the
      unicode-escape decoder with an error handler in
      Include/cpython/bytesobject.h, Include/cpython/unicodeobject.h,
      Lib/test/test_codeccallbacks.py, Lib/test/test_codecs.py,
      Objects/bytesobject.c, Objects/unicodeobject.c,
      Parser/string_parser.c.
    - CVE-2025-4516

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 27 May 2025 13:12:29 -0400

python3.10 (3.10.12-1~22.04.9) jammy-security; urgency=medium

  * SECURITY UPDATE: urlparse does not flag hostname with square brackets
    as incorrect
    - debian/patches/CVE-2025-0938.patch: disallow square brackets in
      domain names for parsed URLs in Lib/test/test_urlparse.py,
      Lib/urllib/parse.py.
    - CVE-2025-0938

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 04 Feb 2025 09:57:36 -0500

python3.10 (3.10.12-1~22.04.8) jammy-security; urgency=medium

  * SECURITY UPDATE: incorrect validation of bracketed hosts
    - debian/patches/CVE-2024-11168.patch: add checks to ensure that
      bracketed hosts found by urlsplit are of IPv6 or IPvFuture format in
      Lib/urllib/parse.py, Lib/test/test_urlparse.py.
    - CVE-2024-11168

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 17 Jan 2025 09:35:34 -0500

python3.10 (3.10.12-1~22.04.7) jammy-security; urgency=medium

  * SECURITY UPDATE: incorrect quoting in venv module
    - debian/patches/CVE-2024-9287.patch: quote template strings in venv
      activation scripts in Lib/test/test_venv.py, Lib/venv/__init__.py,
      Lib/venv/scripts/common/activate, Lib/venv/scripts/nt/activate.bat,
      Lib/venv/scripts/posix/activate.csh,
      Lib/venv/scripts/posix/activate.fish.
    - CVE-2024-9287

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 06 Nov 2024 15:22:13 -0500

python3.10 (3.10.12-1~22.04.6) jammy-security; urgency=medium

  * SECURITY UPDATE: incorrect special character parsing in email module
    - debian/patches/CVE-2023-27043.patch: reject malformed addresses in
      Doc/library/email.utils.rst, Lib/email/utils.py,
      Lib/test/test_email/test_email.py.
    - CVE-2023-27043
  * SECURITY UPDATE: ReDoS via specifically-crafted tar archives
    - debian/patches/CVE-2024-6232.patch: remove backtracking when parsing
      tarfile headers in Lib/tarfile.py, Lib/test/test_tarfile.py.
    - CVE-2024-6232
  * SECURITY UPDATE: header injection via newlines in email module
    - debian/patches/CVE-2024-6923.patch: encode newlines in headers, and
      verify headers are sound in Doc/library/email.errors.rst,
      Doc/library/email.policy.rst, Lib/email/_header_value_parser.py,
      Lib/email/_policybase.py, Lib/email/errors.py,
      Lib/email/generator.py, Lib/test/test_email/test_generator.py,
      Lib/test/test_email/test_policy.py.
    - CVE-2024-6923
  * SECURITY UPDATE: resource consumption via cookie parsing
    - debian/patches/CVE-2024-7592.patch: fix quadratic complexity in
      parsing quoted cookie values with backslashes in Lib/http/cookies.py,
      Lib/test/test_http_cookies.py.
    - CVE-2024-7592
  * SECURITY UPDATE: infinite loop via crafted zip archive
    - debian/patches/CVE-2024-8088-1.patch: sanitize names in zipfile.Path
      in Lib/test/test_zipfile/_path/test_path.py,
      Lib/zipfile/_path/__init__.py.
    - debian/patches/CVE-2024-8088-2.patch: replaced SanitizedNames with a
      more surgical fix in Lib/test/test_zipfile/_path/test_path.py,
      Lib/zipfile/_path/__init__.py.
    - CVE-2024-8088

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 11 Sep 2024 11:47:36 -0400

python3.10 (3.10.12-1~22.04.5) jammy-security; urgency=medium

  * SECURITY UPDATE: race condition in ssl.SSLContext methods
    - debian/patches/CVE-2024-0397.patch: fix locking in cert_store_stats
      and get_ca_certs in Modules/_ssl.c.
    - CVE-2024-0397
  * SECURITY UPDATE: is_private and is_global mismatch
    - debian/patches/CVE-2024-4032.patch: fix "private" (non-global) IP
      address ranges in Doc/library/ipaddress.rst, Lib/ipaddress.py,
      Lib/test/test_ipaddress.py.
    - CVE-2024-4032

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 29 Jul 2024 12:56:48 -0400

python3.10 (3.10.12-1~22.04.4) jammy-security; urgency=medium

  * SECURITY UPDATE: incorrect permission assignment
    - debian/patches/CVE-2023-6597.patch: fix symlink bug in cleanup.
    - CVE-2023-6597
  * SECURITY UPDATE: zipbomb DoS attack
    - debian/patches/CVE-2024-0450.patch: raise BadZipFile when trying
      to read an entry that overlaps with other entry or central
      directory.
    - CVE-2024-0450

 -- Allen Huang <allen.huang@canonical.com>  Fri, 22 Mar 2024 16:50:05 +0000

python3.10 (3.10.12-1~22.04.3) jammy-security; urgency=medium

  * SECURITY UPDATE: TLS handshake bypass
    - debian/patches/CVE-2023-40217.patch: avoid ssl pre-close flaw in ssl.py.
    - CVE-2023-40217


