## python3.10 3.10.13

=== debian/changelog ===
python3.10 (3.10.13-1) unstable; urgency=medium

  * Python 3.10.13 release.
    - Addresses CVE-2023-40217.

 -- Matthias Klose <doko@debian.org>  Fri, 25 Aug 2023 13:35:07 +0200
